CocoaTweet::API::DirectMessages::New Class Reference

class for using statuses/update endpoint More...

`#include <new.h>`

Inheritance diagram for CocoaTweet::API::DirectMessages::New:
[legend]
Collaboration diagram for CocoaTweet::API::DirectMessages::New:
[legend]

## Public Member Functions

| New ()
void | recipient (const std::string &_id)
void | message (const std::string &_message)
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)
| process request for endpoint More...

## Additional Inherited Members

Protected Member Functions inherited from CocoaTweet::API::Interface::HttpPost
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...
Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Detailed Description

class for using statuses/update endpoint

## Constructor & Destructor Documentation

## New()

CocoaTweet::API::DirectMessages::New::New | ( |  | ) |

## Member Function Documentation

## message()

void CocoaTweet::API::DirectMessages::New::message | ( | const std::string & | _message | ) |

## process()

void CocoaTweet::API::DirectMessages::New::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

process request for endpoint

Parameters

  [in] | std::weak_ptr<CocoaTweet::OAuth::OAuth1> | _oauth : pointer to oauth object
  [out] | CocoaTweet::API::Model::Tweet | : request result

## recipient()

void CocoaTweet::API::DirectMessages::New::recipient | ( | const std::string & | _id | ) |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/directMessage/new.h
- src/cocoatweet/api/directMessage/new.cc